apiVersion: batch/v1
kind: Job
metadata:
  name: prisma-migrate-RELEASE_TAG
  namespace: optima
  labels:
    app: prisma-migrate
spec:
  backoffLimit: 1
  ttlSecondsAfterFinished: 86400
  activeDeadlineSeconds: 180
  template:
    metadata:
      labels:
        app: prisma-migrate
    spec:
      containers:
        - name: migrate
          image: ghcr.io/horizonstacksoftware/optima-api-migrate:RELEASE_TAG
          envFrom:
            - secretRef:
                name: api-env-secret
            - secretRef:
                name: optima-keys-secret
      restartPolicy: Never
      imagePullSecrets:
        - name: github-container-registry
